Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
xmldomevents Class Reference

## Public Member Functions
bool | setEvents (const char *events)
bool | setEventHandler (const char *event, xmldomeventhandler_t handler)
bool | setData (void *data)
bool | process (xmldomnode *codetreenode)
void | setDebugLevel (uint8_t debuglevel)

## Static Public Member Functions
static xmldomnode * | ignore (xmldomnode *codetreenode, xmldomnode *eventtreenode, void *data)
static xmldomnode * | rename (xmldomnode *codetreenode, xmldomnode *eventtreenode, void *data)
static xmldomnode * | revalue (xmldomnode *codetreenode, xmldomnode *eventtreenode, void *data)